Recommended update for xfsprogs

SUSE Recommended Update: Recommended update for xfsprogs
Announcement ID: SUSE-RU-2019:14070-1
Rating: moderate
References: #1115083 #1134102
Affected Products:
  • SUSE Linux Enterprise Server 11-SP4-LTSS
  • SUSE Linux Enterprise Point of Sale 11-SP3
  • SUSE Linux Enterprise Debuginfo 11-SP4

An update that has two recommended fixes can now be installed.

Description:

This update for xfsprogs fixes the following issues:

  • xfs_db: fix crash when field list selector string has trailing slash (bsc#1115083)
  • xfs_fsr: file reads should be O_DIRECT (bsc#1134102)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 11-SP4-LTSS:
    zypper in -t patch slessp4-xfsprogs-14070=1
  • SUSE Linux Enterprise Point of Sale 11-SP3:
    zypper in -t patch sleposp3-xfsprogs-14070=1
  • SUSE Linux Enterprise Debuginfo 11-SP4:
    zypper in -t patch dbgsp4-xfsprogs-14070=1

Package List:

  • SUSE Linux Enterprise Server 11-SP4-LTSS (i586 ppc64 s390x x86_64):
    • xfsprogs-3.1.8-1.11.9.1
  • SUSE Linux Enterprise Point of Sale 11-SP3 (i586):
    • xfsprogs-3.1.8-1.11.9.1
  • SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ppc64 s390x x86_64):
    • xfsprogs-debuginfo-3.1.8-1.11.9.1
    • xfsprogs-debugsource-3.1.8-1.11.9.1

References: